Skip to content

Get a list of simple application information

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If the description of this document is incorrect, please refer to V3 API.

Get a list of simple application information

Method name

ManagementClient.listApplicationSimpleInfo

Request parameters

NameTypeIs it required?Default valueDescriptionSample value
pagenumberNo1Current page number, starting from 11
limitnumberNo10Number per page, maximum cannot exceed 50, default is 1010
isIntegrateAppbooleanNo-Is it an integrated application?
isSelfBuiltAppbooleanNo-Is it a self-built application?
ssoEnabledbooleanNo-Is single sign-on enabled?
keywordsstringNo-Fuzzy search stringtest

Sample code

ts
import { ManagementClient, Models } from "authing-node-sdk";

// Initialize ManagementClient
const managementClient = new ManagementClient({
  // Need to be replaced with your GenAuth Access Key ID
  accessKeyId: "GEN_AUTH_ACCESS_KEY_ID",
  // Need to be replaced with your GenAuth Access Key Secret
  accessKeySecret: "GEN_AUTH_ACCESS_KEY_SECRET",
  // If it is a privately deployed customer, you need to set the GenAuth service domain name
  // host: 'https://api.your-authing-service.com'
});

(async () => {
  const result = await managementClient.listApplicationSimpleInfo({
    page: 1,
    limit: 10,
    keywords: "test",
  });

  console.log(JSON.stringify(result, null, 2));
})();

Request response

Type: ApplicationSimpleInfoPaginatedRespDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful. 200 means success.
messagestringDescription
apiCodenumberSegmented error code, which can be used to get the specific error type (successful request does not return). For a detailed list of error codes, please see: API Code List
requestIdstringRequest ID. Returned when the request fails.
data<a ApplicationSimpleInfoPaginatedDataDtoResponse data

Sample result:

json
{
  "statusCode": 200,
  "message": "Operation successful",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "list": {
      "appId": "62eaa95fe0xxxx9a5295bf7c",
      "appIdentifier": "example",
      "appName": "Sample application",
      "appLogo": "Sample application",
      "appDescription": "Sample description information",
      "appType": "web"
    },
    "totalCount": 10
  }
}

Data structure

ApplicationSimpleInfoPaginatedDataDto

NameTypeIs it requiredDescriptionSample value
listarrayYesList data Nested type: <a ApplicationSimpleInfoDto.
totalCountnumberYesTotal number of records10

ApplicationSimpleInfoDto

NameTypeIs it requiredDescriptionSample value
appIdstringYesApplication ID62eaa95fe0xxxx9a5295bf7c
appIdentifierstringyesApplication unique identifierexample
appNamestringyesApplication nameExample application
appLogostringyesApplication logo linkExample application
appDescriptionstringnoApplication descriptionExample description
appTypestringyesApplication typeweb
isIntegrateAppbooleanyesWhether it is an integrated application

Agent infrastructure for identity, memory, and web action.